// 本文件由FirstUI授权予长沙壹润信息科技发展有限公司（手机号：    15 6  1 626 01 95，身份证尾号：5 0  3 75T）专用，请尊重知识产权，勿私下传播，违者追究法律责任。
// #ifdef MP
import http from '../common/fui-request'
// #endif
// #ifndef VUE3
import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)
const store = new Vuex.Store({
			// #endif

			// #ifdef VUE3
			import {
				createStore
			} from 'vuex'
			const store = createStore({
				// #endif
				state: {
					//是否登录
					isLogin: uni.getStorageSync("firstui_m_token") ? true : false
				},
				mutations: {
					//登录
					login(state, payload) {
						if (payload) {
							state.token = payload.token
							uni.setStorageSync('firstui_m_token',payload.token)
						}
						state.isLogin = true
					},
					//退出登录
					logout(state) {
						state.token = ""
						state.isLogin = false
						uni.removeStorageSync('firstui_m_token')
					}
				},
				actions: {

				}
			})

			export default store